> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer 動画ダウンロード API 連携説明

> Producer Music Generation API guide - Ace Data Cloud

Producer では、楽曲に関連する動画をダウンロードできます。本ドキュメントでは、関連 API の連携方法について説明します。

この API には入力パラメータが 1 つだけあり、それは `audio_id` で、楽曲の一意の ID です。

ここで入力する `audio_id` は `a54609c6-13e2-4176-be0f-4d7eebc68e1f` であり、Producer によって生成された楽曲 ID です。

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

結果は以下のとおりです：

```
{
  "success": true,
  "task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
  "trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
  "data": {
    "video_url": "https://cdn.acedata.cloud/assets/examples/gemini/04a043bd-6b23-4b4e-945c-ce48158c3eee-3a89912507c7.mp4"
  }
}
```

ご覧のとおり、`data` の `video_url` フィールドがダウンロードする動画のリンクです。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.